#
# spec file for package gjiten (Version 0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile automake edict esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs edict esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gjiten
Copyright:    GPL
Group:        X11/Applications
Requires:     edict, xjdic-data, xjdic-indices
Autoreqprov:  on
Version:      0.8
Release:      57
URL:          http://gjiten.sourceforge.net/
#Original source: http://gjiten.sourceforge.net/gjiten-0.8.tar.gz
Source0:      http://gjiten.sourceforge.net/gjiten-0.8.tar.bz2
Patch0:       gjiten-0.8.patch
Patch1:       gjiten-0.8-fix-for-crash-with-fvwm2.patch
Patch2:       gjiten-0.8-fix-for-64bit.patch
BuildRoot:    %{_tmppath}/%{name}-root/
Summary:      Japanese dictionary browser for GNOME/GTK+
# Summary(ja): GjitenGTK+ܸμ˴ŤƤץǤ

%description
Gjiten is a Gnome based Japanese dictionary program. It uses some of
the xjdic code written by Jim Breen and his dictionary files.  Gjiten
also has a kanji dictionary. Any combination of stroke count, radicals
and search key can be used for kanji lookups.  It requires a working X
Input Method [eg. kinput2] for japanese input.

Authors:
--------
    Botond Botyanszki <boti@beer.com>

SuSE series: j

%prep
# %description -l ja
# 
# GjitenGTK+ܸμ˴ŤƤץǤJim Breenν
# xjdicΥɤȼեȤޤGjitenϴŵ⤢ޤ
# 両ΥȤȴõޤܸϤΤ
# XˡפɬפǤ㡧kinput2
# 
# Authors:
# --------
# 
#     Botond Botyanszki <boti@beer.com>
%setup0
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config}
#export CFLAGS="$RPM_OPT_FLAGS" 
export CFLAGS="-g -O0" 
./configure --prefix=/opt/gnome \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
	    --with-gnome=/opt/gnome \
            %{_target_cpu}-suse-linux
make 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
pushd $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
    for i in $RPM_BUILD_ROOT/opt/gnome/share/gnome/help/gjiten/* \
             $RPM_BUILD_ROOT/opt/gnome/share/doc/gjiten-%{version}/*
    do
        ln -sf $( echo $i | sed "s%%^$RPM_BUILD_ROOT%%%%g" ) .
    done
popd  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/%{name}/*
/opt/gnome/bin/*
/opt/gnome/share/*

%changelog -n gjiten
* Sun Sep 16 2001 - mfabian@suse.de
- make it work on ia64
- fix for crash when using gjiten with fvwm 2.4.0
* Tue Sep 04 2001 - schwab@suse.de
- Fix portability.
* Tue Sep 04 2001 - mfabian@suse.de
- upgrade to gjiten-0.8
- remove gjiten-0.7-setlocale.patch, now included upstream
- share same data with xjdic and
  make gjiten require xjdic-data and xjdic-indices instead of
  including the same data in gjiten as well
- default dictionary location changed to /usr/share/edict
* Tue Mar 20 2001 - uli@suse.de
- added esound* to neededforbuild
* Tue Jan 02 2001 - mfabian@suse.de
- corrected problem with setlocale():
  setlocale() must be called before bindtextdomain() and
  textdomain()
* Thu Nov 09 2000 - Mike Fabian <mfabian@suse.de>
- new package: gjiten-0.7
